#define USE_ARDUINO_INTERRUPTS true   
#include <PulseSensorPlayground.h>     
#define LED 7  // The pin the LED is connected to
#define BUZZPIN 3
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

const int PulseWire = 0;          
int Threshold = 560;           
LiquidCrystal_I2C lcd = LiquidCrystal_I2C(0x27, 16, 2);                               
PulseSensorPlayground pulseSensor;  

void setup() {
  Serial.begin(9600);
  
  pinMode(LED, OUTPUT); // Declare the LED as an output
  pinMode(BUZZPIN, OUTPUT); // Declare the BUZZPIN as an output
  
  lcd.begin();
  lcd.backlight();
  pulseSensor.analogInput(PulseWire);     
  pulseSensor.setThreshold(Threshold);   

  if (pulseSensor.begin()) {
    lcd.print("Place your finger");
  }
}

void loop() {
  int myBPM = pulseSensor.getBeatsPerMinute();

  if (pulseSensor.sawStartOfBeat()) {
    Serial.println(myBPM);            
    lcd.clear();
    if (myBPM >= 60 && myBPM <= 100) {
      noTone(BUZZPIN);
      lcd.print("NORMAL");
    } else {
      tone(BUZZPIN, 4000, 50000);
      digitalWrite(LED, HIGH);
      if (myBPM < 60) {
        lcd.print("TOO LOW");
      } else {
        lcd.print("TOO HIGH");
      }
    }
    
    lcd.setCursor(0,1);
    lcd.print(myBPM);
    delay(4000);
    digitalWrite(LED, LOW);
    noTone(BUZZPIN);
    lcd.clear();
    lcd.setCursor(0,0);                
   }
   delay(20);
}
